# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KListViewSearchLineWidget Class Reference

Creates a widget featuring a KListViewSearchLine, a label with the text "Search" and a button to clear the search. More...

`#include <klistviewsearchline.h>`

Inheritance diagram for KListViewSearchLineWidget:

[legend]
Collaboration diagram for KListViewSearchLineWidget:

[legend]
List of all members.

## Public Member Functions

| KListViewSearchLineWidget (KListView *listView=0, QWidget *parent=0, const char *name=0)
| ~KListViewSearchLineWidget ()
virtual KListViewSearchLine * | createSearchLine (KListView *listView)
KListViewSearchLine * | searchLine () const

## Protected Slots

virtual void | createWidgets ()

## Detailed Description

Creates a widget featuring a KListViewSearchLine, a label with the text "Search" and a button to clear the search.

Since:
  3.4

Definition at line 211 of file klistviewsearchline.h.

## Constructor & Destructor Documentation

KListViewSearchLineWidget::KListViewSearchLineWidget | ( | KListView * | listView = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Creates a KListViewSearchLineWidget for listView with parent as the parent with and name. Definition at line 385 of file klistviewsearchline.cpp. References createWidgets(), QListViewItem::listView(), QHBox::setSpacing(), and QTimer::singleShot().

KListViewSearchLineWidget::~KListViewSearchLineWidget | ( |  | ) |

| Destroys the KListViewSearchLineWidget. Definition at line 398 of file klistviewsearchline.cpp.

## Member Function Documentation

KListViewSearchLine * KListViewSearchLineWidget::createSearchLine | ( | KListView * | listView | ) | `[virtual]`

| Creates the search line. This can be useful to reimplement in cases where a KListViewSearchLine subclass is used. Definition at line 403 of file klistviewsearchline.cpp. Referenced by createWidgets().

KListViewSearchLine * KListViewSearchLineWidget::searchLine | ( |  | ) | const

| Returns a pointer to the search line. Definition at line 433 of file klistviewsearchline.cpp.

void KListViewSearchLineWidget::createWidgets | ( |  | ) | `[protected, virtual, slot]`

| Creates the widgets inside of the widget. This is called from the constructor via a single shot timer so that it it guaranteed to run after construction is complete. This makes it suitable for overriding in subclasses. Definition at line 410 of file klistviewsearchline.cpp. References createSearchLine(). Referenced by KListViewSearchLineWidget().

The documentation for this class was generated from the following files:

- klistviewsearchline.h
- klistviewsearchline.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:36 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003